/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef INPUTMETHODSTATUSTYPES_H
#define INPUTMETHODSTATUSTYPES_H

#include <string>

namespace InputMethodStatus {

struct StatusBarAction {
    int actionType;
    int actionValue;
    bool enable;
    std::string shortcut;
};

enum class ActionType {
    Language,
    CharWidth,
    Punctuation,
    Chttrans,
    InputScheme
};

enum class Language { Chinese, English };

enum class CharWidth { FullWidth, HalfWidth };

enum class Punctuation {
    Chinese, // Wide
    English  // Latin
};

enum class Chttrans { Simplified, Traditional };

enum class PinyinScheme { Quanpin, Shuangpin };

} // namespace InputMethodStatus

#endif // INPUTMETHODSTATUSTYPES_H
