/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef INPUTWINDOWVIEW_H
#define INPUTWINDOWVIEW_H

#include <memory>

#include <QQuickView>

#include "inputwindowgeometrymanager.h"
#include "inputwindowmodel.h"

class InputWindowView {
public:
    InputWindowView(InputWindowModel &model, QObject &manager);

    void show();
    void hide();

private:
    void initView();
    void connectSignals();

    QPoint getPosition();
    void updateCursorPosition();
    void updateInputWindowPos();

private:
    InputWindowModel &m_model;
    QObject &m_manager;

    QQuickView m_view;
    std::unique_ptr<GeometryManager> m_geometryManager = nullptr;
};

#endif // INPUTWINDOWVIEW_H
