/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "ipctypes.h"

#include <QDBusArgument>

using namespace InputMethodStatus;

QDBusArgument &operator<<(QDBusArgument &argument,
                          const StatusBarAction &data) {
    QString shortcut = QString::fromStdString(data.shortcut);
    argument.beginStructure();
    argument << data.actionType << data.actionValue << data.enable << shortcut;
    argument.endStructure();
    return argument;
}

const QDBusArgument &operator>>(const QDBusArgument &argument,
                                StatusBarAction &data) {
    QString shortcut;
    argument.beginStructure();
    argument >> data.actionType >> data.actionValue >> data.enable >> shortcut;
    argument.endStructure();
    data.shortcut = shortcut.toStdString();
    return argument;
}
