/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "okinputmethod.h"

#include <QApplication>
#include <QQuickStyle>

int main(int argc, char *argv[]) {
    qputenv("QT_QPA_PLATFORM", "xcb");
    qputenv("DISPLAY", ":0");
#if QT_VERSION < QT_VERSION_CHECK(6, 0, 0)
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
#endif
    // 要想使用 UKUI 的 QML 主题，必须使用 QApplication 而不是
    // QGuiApplication。因为需要用到 QWidget
    QApplication app(argc, argv);

    QQuickStyle::setStyle("org.ukui.style");

    OKInputMethod okim;

    return app.exec();
}
