/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0

Rectangle {
    radius: statusBar.statusBarRadius
    width: statusBar.dragBarWidth
    height: statusBar.dragBarHeight
    color: "transparent"
    anchors.left: parent.left
    anchors.verticalCenter: parent.verticalCenter

    property int startX: 0
    property int startY: 0

    Image {
        source: "qrc:/image/dragbaricon.svg"
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        sourceSize: Qt.size(parent.width, parent.height)
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            startX = mouseX
            startY = mouseY
            statusBarView.startDrag()
        }
        onPositionChanged: {
            statusBarView.moveBy(mouseX - startX, mouseY - startY)
        }
        onReleased: {
            statusBarView.endDrag()
        }
    }
}
