/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.12

Rectangle {
    width: preeditText.width + inputWindow.preeditLeftMargin*2
    height: preeditText.height
    color: "transparent"
    radius: inputWindow.inputWindowRadius
    anchors.top: parent.top
    anchors.topMargin: inputWindow.preeditTopMargin
    anchors.left: parent.left
    antialiasing: true

    TextInput {
        id: preeditText
        text: inputWindow.preeditText
        color: inputWindow.candidateDefaultFontColor
        cursorVisible: true
        anchors.centerIn: parent
        font.pointSize: inputWindow.preeditFontSize
        cursorPosition: inputWindow.cursorPosition

        //防止鼠标点击切换预编辑区光标位置
        MouseArea {
            anchors.fill: parent
        }
    }
}

