/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import org.ukui.qqc2style.private 1.0 as StylePrivate

Rectangle {
    width: text.width + toolTipMargin*2
    height: text.height + toolTipMargin*2
    antialiasing: true
    radius: toolTipRadius

    property Item toolTipItem
    readonly property int toolTipMargin: 5
    readonly property color toolTipBackColor: StylePrivate.StyleHelper.basecolorrole
    readonly property color toolTipTextColor: StylePrivate.StyleHelper.windowtextcolorrole
    readonly property color backHightlightColor: StylePrivate.StyleHelper.highlightcolorrole
    readonly property real backHightlightOpacity: 0.05
    readonly property int toolTipRadius: 8

    Rectangle {
        anchors.fill: parent
        radius: parent.radius
        color: toolTipBackColor
        antialiasing: true
    }
    Rectangle {
        anchors.fill: parent
        color: backHightlightColor
        opacity: backHightlightOpacity
        radius: parent.radius
    }

    Text {
        id: text
        text: toolTipItem ? toolTipItem.toolTipText : ""
        anchors.centerIn: parent
        color: toolTipTextColor
    }
}
