/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import org.ukui.qqc2style.private 1.0 as StylePrivate

Rectangle {
    width: inputWindow.pageButtonWidth
    height: inputWindow.pageButtonHeight
    color: "transparent"

    property string imageSource: ""
    property alias mouseArea: mousearea
    property bool hasPage

    Rectangle {
        id: turnPageButtonBack
        anchors.fill: parent
        color: inputWindow.turnPageButtonBackColor
        opacity: 0
        radius: inputWindow.candidateRadius
    }

    StylePrivate.KyIcon {
        anchors.fill: parent
        iconName: imageSource
        anchors.centerIn: parent
        opacity: hasPage ? 1 : 0.5
    }

    MouseArea {
        id: mousearea
        anchors.fill: parent
        hoverEnabled: true
        onEntered: turnPageButtonBack.opacity = hasPage ?
                       inputWindow.turnPageButtonBackHoverOpacity : 0
        onPressed: turnPageButtonBack.opacity = hasPage ?
                       inputWindow.turnPageButtonBackPressOpacity : 0
        onReleased: turnPageButtonBack.opacity = 0
        onExited: turnPageButtonBack.opacity = 0
    }
}
