/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#include "statusbaritem.h"

QString StatusBarItem::iconName() const { return m_iconName; }

void StatusBarItem::setIconName(const QString &iconName) {
    if (m_iconName != iconName) {
        m_iconName = iconName;
        emit iconNameChanged();
    }
}

QString StatusBarItem::toolTip() const { return m_toolTip; }

void StatusBarItem::setToolTip(const QString &toolTip) {
    if (m_toolTip != toolTip) {
        m_toolTip = toolTip;
        emit toolTipChanged();
    }
}

bool StatusBarItem::isClickable() const { return m_isClickable; }

void StatusBarItem::setIsClickable(bool isClickable) {
    if (m_isClickable != isClickable) {
        m_isClickable = isClickable;
        emit isClickableChanged();
    }
}
