/*
 * Copyright 2023 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef STATUSBARITEM_H
#define STATUSBARITEM_H

#include <QObject>

class StatusBarItem : public QObject {
    Q_OBJECT
    Q_PROPERTY(
        QString iconName READ iconName WRITE setIconName NOTIFY iconNameChanged)
    Q_PROPERTY(
        QString toolTip READ toolTip WRITE setToolTip NOTIFY toolTipChanged)
    Q_PROPERTY(bool isClickable READ isClickable WRITE setIsClickable NOTIFY
                   isClickableChanged)

public:
    QString iconName() const;
    void setIconName(const QString &iconName);

    QString toolTip() const;
    void setToolTip(const QString &toolTip);

    bool isClickable() const;
    void setIsClickable(bool isClickable);

signals:
    void iconNameChanged();
    void toolTipChanged();
    void isClickableChanged();

private:
    QString m_iconName;
    QString m_toolTip;
    bool m_isClickable = true;
};

#endif // STATUSBARITEM_H
